Jobs
Link a goal to a job
Link the Goal with the specified Id to a Job. Required permissions: ViewJobs, Edit
POST
/
api
/
jobs
/
v1
/
goals
Link a goal to a job
curl --request POST \
--url https://mycluster.domino.tech/api/jobs/v1/goals \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"goalId": "62313cfd7a0af0281c01a6a6"
}
'import requests
url = "https://mycluster.domino.tech/api/jobs/v1/goals"
payload = { "goalId": "62313cfd7a0af0281c01a6a6" }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({goalId: '62313cfd7a0af0281c01a6a6'})
};
fetch('https://mycluster.domino.tech/api/jobs/v1/goals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"goal": {
"currentStage": "Ideation",
"goalId": "62313cfd7a0af0281c01a6a6",
"jobId": "62313d207a0af0281c01a6a7",
"projectId": "62313d377a0af0281c01a6a8",
"title": "MyGoal",
"description": "Develop a better performing model"
},
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Id of job to link to goal
Body
application/json
Id of Goal to link to Job.
Example:
"62313cfd7a0af0281c01a6a6"
Last modified on August 18, 2026
Related topics
Get linked goals for a jobUnlink goal from jobAdd a goal to this projectGet goals in this projectWas this page helpful?
⌘I
Link a goal to a job
